with GNATCOM.Dispinterface;

package MSHTML.ISVGMarkerElement_Object is

   type ISVGMarkerElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure PutRef_refX
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_refX
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_refY
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_refY
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_markerUnits
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_markerUnits
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_markerWidth
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_markerWidth
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_markerHeight
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_markerHeight
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_orientType
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_orientType
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_orientAngle
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_orientAngle
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure setOrientToAuto
     (This : ISVGMarkerElement_Type);

   procedure setOrientToAngle
     (This      : ISVGMarkerElement_Type;
      pSVGAngle : GNATCOM.Types.VARIANT;
      Free      : Boolean := True);

end MSHTML.ISVGMarkerElement_Object;

